I'm trying to get the following setup working

On SUSE 11 SP3 x64- Compiled Apache 2.4.7, Compiled PHP 5.5.9 , Compiled GraphicsMagick 1.3.19 using the gcc -m64 compiler option.

All compiled successfully and they all work just fine. The problem is the pecl gmagick-1.1.x - I can't seem to get it to work - I've tried different versions with the same results. I keep getting this php error: from php -i
gmagick
php: symbol lookup error: /usr/local/lib/php/20121212/gmagick.so: undefined symbol: MagickGetVersion

I compiled GraphicMagick with these options=>

CC="gcc -m64 -fPIC" ./configure --enable-shared --enable-symbol-prefix --without-perl --disable-openmp

Are there other options for SUSE I should be using?
Not sure why the pecl just won't work.

Anyone have any ideas ? Thanks